summaryrefslogtreecommitdiff
path: root/package/uvd/files
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-07-02 15:30:56 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-07-02 15:30:56 +0200
commit3fc7c024cf716efa0d2d70fc33412b70b870146b (patch)
tree88f96f5f0b44d0644a227933b72e3de8b35ce972 /package/uvd/files
parent6b6b7abab1ffe76a87fd46623c1d026d4f25862f (diff)
add a small udp based daemon
Diffstat (limited to 'package/uvd/files')
-rw-r--r--package/uvd/files/uvd.init27
-rw-r--r--package/uvd/files/uvd.postinst3
2 files changed, 30 insertions, 0 deletions
diff --git a/package/uvd/files/uvd.init b/package/uvd/files/uvd.init
new file mode 100644
index 000000000..18dd2e76c
--- /dev/null
+++ b/package/uvd/files/uvd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG uvd
+#INIT 10
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${uvd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ uvd
+ ;;
+stop)
+ pkill uvd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 (start|stop|restart)"
+ exit 1
+esac
+exit $?
diff --git a/package/uvd/files/uvd.postinst b/package/uvd/files/uvd.postinst
new file mode 100644
index 000000000..ce254d5e7
--- /dev/null
+++ b/package/uvd/files/uvd.postinst
@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf uvd uvd NO